Name:           python-rustcfg
Version:        0.0.0
Release:        1%{?dist}
Summary:        Rust cfg expression parser in python

License:        LGPLv2+
URL:            https://pagure.io/python-rustcfg
Source0:        python-rustcfg-0.0.0.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pyparsing
BuildRequires:  python3-pytest

%global _description \
%{summary}.

%description %_description

%package     -n python3-rustcfg
Summary:        %{summary}

Requires:       python3-pyparsing
Requires:       python3-pytest
%{?python_provide:%python_provide python3-rustcfg}

%description -n python3-rustcfg %_description

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%check
pytest-3 -v

%files -n python3-rustcfg
%license LICENSE
%{python3_sitelib}/*

%changelog
* Mon Aug 13 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.0-1
- Initial packaging
